#import "../../Fragments/System.graphql"

#import "../../Fragments/Blocks/Accordion.graphql"
#import "../../Fragments/Blocks/CardsGrid.graphql"
#import "../../Fragments/Blocks/Content.graphql"
#import "../../Fragments/Blocks/DynamicContent.graphql"
#import "../../Fragments/Blocks/Shortcuts.graphql"
#import "../../Fragments/Blocks/Table.graphql"
#import "../../Fragments/Blocks/TextCols.graphql"
#import "../../Fragments/Blocks/UspGrid.graphql"
#import "../../Fragments/ContentPage/NavigationLinks.graphql"

#import "../../Fragments/Sidebar/Content.graphql"
#import "../../Fragments/Sidebar/DynamicContent.graphql"
#import "../../Fragments/Sidebar/JoinLoyaltyContact.graphql"
#import "../../Fragments/Sidebar/TeaserCard.graphql"
#import "../../Fragments/Sidebar/ScriptedCard.graphql"
#import "../../Fragments/Sidebar/QuickLinks.graphql"

query GetContentPage($locale: String!, $uid: String!) {
  content_page(uid: $uid, locale: $locale) {
    hero_image
    title
    header {
      heading
      preamble
      ...NavigationLinks
    }
    blocks {
      __typename
    }
    sidebar {
      __typename
      ...ContentSidebar_ContentPage
      ...DynamicContentSidebar_ContentPage
      ...JoinLoyaltyContactSidebar_ContentPage
      ...ScriptedCardSidebar_ContentPage
      ...TeaserCardSidebar_ContentPage
      ...QuickLinksSidebar_ContentPage
    }
    system {
      ...System
      created_at
      updated_at
    }
  }
}

query GetContentPageBlocksBatch1($locale: String!, $uid: String!) {
  content_page(uid: $uid, locale: $locale) {
    blocks {
      __typename
      ...Accordion_ContentPage
      ...CardsGrid_ContentPage
      ...Content_ContentPage
      ...DynamicContent_ContentPage
    }
  }
}

query GetContentPageBlocksBatch2($locale: String!, $uid: String!) {
  content_page(uid: $uid, locale: $locale) {
    blocks {
      __typename
      ...Shortcuts_ContentPage
      ...Table_ContentPage
      ...TextCols_ContentPage
      ...UspGrid_ContentPage
    }
  }
}

query GetContentPageRefs($locale: String!, $uid: String!) {
  content_page(locale: $locale, uid: $uid) {
    header {
      navigation_links {
        linkConnection {
          edges {
            node {
              __typename
              ...ContentPageRef
              ...HotelPageRef
              ...LoyaltyPageRef
            }
          }
        }
      }
    }
    sidebar {
      __typename
      ...ContentSidebar_ContentPageRefs
      ...JoinLoyaltyContactSidebar_ContentPageRefs
      ...ScriptedCardSidebar_ContentPageRefs
      ...TeaserCardSidebar_ContentPageRefs
      ...QuickLinksSidebar_ContentPageRefs
    }
    system {
      ...System
    }
  }
}

query GetContentPageBlocksRefs($locale: String!, $uid: String!) {
  content_page(locale: $locale, uid: $uid) {
    blocks {
      __typename
      ...Accordion_ContentPageRefs
      ...CardsGrid_ContentPageRefs
      ...Content_ContentPageRefs
      ...DynamicContent_ContentPageRefs
      ...Shortcuts_ContentPageRefs
      ...TextCols_ContentPageRef
      ...UspGrid_ContentPageRefs
    }
  }
}

query GetDaDeEnUrlsContentPage($uid: String!) {
  de: content_page(locale: "de", uid: $uid) {
    url
  }
  en: content_page(locale: "en", uid: $uid) {
    url
  }
  da: content_page(locale: "da", uid: $uid) {
    url
  }
}

query GetFiNoSvUrlsContentPage($uid: String!) {
  fi: content_page(locale: "fi", uid: $uid) {
    url
  }
  no: content_page(locale: "no", uid: $uid) {
    url
  }
  sv: content_page(locale: "sv", uid: $uid) {
    url
  }
}
